Configuration

GET /api/v1/channel_data

Returns a paged list of the meter configuration.

Query parameters

archive_type string required

Archive type. For configuration it is settings.

equipment_id integer

Metering device identifier for which data is being uploaded.

page integer

Page number.

Response fields

AttributeDescription
channel_nameConfiguration name
channel_data_valueConfiguration value
unit_nameUnit of measurement
total_pagesTotal number of pages in the returned set
current_pageCurrent page
next_pageNext page available for downloading, null if the current page is the last one

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/channel_data?archive_type=settings&equipment_id=25&page=1"

Response

json
{
"data":[
      {
         "channel_name":"Presence of ambient temperature sensor
(1 – sensor installed, 0 – sensor absent)",
         "channel_data_value":"0",
         "unit_name":null
      },
   ],
   "total_pages":1,
   "current_page":1,
   "next_page":null
}
Останнє оновлення

Чи була ця сторінка корисною?